import * as path from "jsr:@std/path";
import { ensureDir } from "jsr:@std/fs";
import { unzip } from "./pkg/zip.js";

const EXTRACTED_DIR = "./extracted"; 
await ensureDir(EXTRACTED_DIR);

const TARGET_PATH = Deno.args[0];
if (!TARGET_PATH) {
    console.error("usage: test.js <path>");
    Deno.exit(1);
}

const zipFile = Deno.readFileSync(TARGET_PATH);
for (const [file, contents] of Object.entries(unzip([...zipFile]))) {
    // TODO: handle directories & more in the future 
    const contentBytes = new TextEncoder().encode(contents);
    Deno.writeFileSync(path.join(EXTRACTED_DIR, file), contentBytes);
}
